%define namp	perl
%define nams1	ExtUtils
%define nams2	F77
%define name	%{namp}-%{nams1}_%{nams2}
%define version	1.14
%define release	11mdk

Summary:	Simple interface to F77 libs
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://search.cpan.org/dist/ExtUtils-F77/
Source0:	http://www.perl.com/CPAN/authors/id/KGB/%{nams1}-%{nams2}-%{version}.tar.bz2
Patch0:		ExtUtils-F77-1.14-no-usrlib.patch.bz2
Patch1:		ExtUtils-F77-1.14-gfortran.patch.bz2
License:	GPL
Group:		Development/Perl
BuildRequires:	gcc-gfortran perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	gcc-gfortran
BuildArch:	noarch

%description
Simple interface to F77 libs.  Used to be in perl-PDL, but isn't anymore.

This module tries to figure out how to link C programs with
Fortran subroutines on your system. Basically one must add a list
of Fortran runtime libraries. The problem is their location
and name varies with each OS/compiler combination!

%prep
%setup -n %{nams1}-%{nams2}-%{version} -q
%patch0 -p1 -b .no-usrlib
%patch1 -p0 -b .gfortran

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="$RPM_OPT_FLAGS"
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{perl_vendorlib}/*
%{_mandir}/*/*
%doc README CHANGES

%changelog
* Tue Jun 14 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.14-11mdk
- Use gfortran instead of g77 (patch 1)

* Sat Jan 22 2005 Stefan van der Eijk <stefan@mandrake.org> 1.14-10mdk
- rebuild

* Wed Feb 25 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.14-9mdk
- own dir
- rebuild

* Wed Aug 13 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.14-8mdk
- rebuild for new perl
- drop Prefix tag
- use %%makeinstall_std macro
- generate makefile in %%build, not %%prep

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.14-7mdk
- rebuild for new auto{prov,req}

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 1.14-6mdk
- rebuild for perl 5.8.0

* Tue Jul  9 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.14-5mdk
- Patch0: Don't explicit include %{_libdir} in library search
  path. Apart from being usually wrong on lib64 architectures, that's
  already a standard thus implicit search dir.

* Tue Jul  9 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.14-4mdk
- Use perl_vendorlib, perl_man3dir

* Thu Nov 08 2001 Franois Pons <fpons@mandrakesoft.com> 1.14-3mdk
- added url tag.

* Tue Oct 16 2001 Stefan van der Eijk <stefan@eijk.nu> 1.14-2mdk
- BuildRequires: gcc-g77 perl-devel

* Tue Jul 03 2001 Franois Pons <fpons@mandrakesoft.com> 1.14-1mdk
- 1.14.

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.13-5mdk
- Rebuild this against the latest perl.

* Tue Mar 13 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 1.13-4mdk
- BuildArch: noarch
- rename spec file
- clean spec a bit
- run automated tests

* Tue Aug 29 2000 Franois Pons <fpons@mandrakesoft.com> 1.13-3mdk
- build release.

* Tue Aug  1 2000 Alexander Skwar <ASkwar@DigitalProjects.com> 1.13-2mdk
- Added requirement for a Fortran77 compiler as this package makes no
  sense without one

* Mon Jul 31 2000 Alexander Skwar <ASkwar@DigitalProjects.com> 1.13-1mdk
- First Mandrake package
- This used to be in PDL

# end of file
